#### 3.18.10 CR16 Options

These options are defined specifically for the CR16 ports.

`-mmac`

  Enable the use of multiply-accumulate instructions. Disabled by default.

`-mcr16cplus`
`-mcr16c`

  Generate code for CR16C or CR16C+ architecture. CR16C+ architecture is default.

`-msim`

  Links the library libsim.a which is in compatible with simulator. Applicable to ELF compiler only.

`-mint32`

  Choose integer type as 32-bit wide.

`-mbit-ops`

  Generates `sbit`/`cbit` instructions for bit manipulations.

`-mdata-model=model`

  Choose a data model. The choices for model are ‘`near`’, ‘`far`’ or ‘`medium`’. ‘`medium`’ is default. However, ‘`far`’ is not valid with `-mcr16c`, as the CR16C architecture does not support the far data model.